Webaccess not working anymore after Upgrade to Kopano-Core V8.4.3

Hi together,

Subject say’s it all. Some of our customers still using the old Zarafa-Webaccess, which work’s
well until the latest Kopano-Core V8.3. With the Update to Kopano-Core V8.4.3, you only
get after the Login-Page an “500 internal Server error”.

Is there a possibility to run the old webaccess with Kopano V8.4.x ?

Much of the “older” Users will like to have it, as they don’t want to change an known running
system.

best regards
Michael

I think there is a separate thread for this in the forums.

Personally I still use Webaccess and got it to work.

What happened at some stage is that the location of the MAPI libraries changed and I had to copy them, if I remember correctly, manually, also where webaccess was previously looking for them.

May not be the easiest or correct way to do it, but webaccess still works for me.

Hi,

thanks for you answer, but i am still not able to get it running. Could you please send your modified webaccess-folder
via EMail to me (m.niehren@tuxgreen.de) ?

best regards
Michael

Hi,

The changes are in the mapi libraries not in the webaccess folder at all…

I can’t remember in /usr/lib or something like that.

I think the easiest is that you diff the contents of the two kopano-core packages and you will see where the mapi libraries were going before and after the changes.

Not sure which distribution you are using but there is a way to explore packages so that you know which files they contain and where those you go.

you will see that some MAPI libraries go into a different place and webaccess will not find them.

Therefore you need to make sure you either copy them manually in the old place too, or better, you make a symbolic link from the old place to the new one (which I didn’t as I was lazy).

we are using kopano on an self generating system based on LFS. I’ve already checked the differences
between V8.3.4 and V8.4.3, but the mapi libraries are still on the same position. So i think it’s another
problem here.

Do you know, how to debug the webaccess to find out where the internal error occurs ?

what happens if you put back kopano-core 8.3.4 does it work again? If so can you scan the directories exactly and see what’s different? Something must be different in the libraries.

I would go for the usual apache logs etc. to debug.

You should also search these forums.

I remember one of the suggestions (which is a lot better than mine) was to have a separate website for webaccess or something like that, i.e. separating it on another virtual machine or something.

I have WebAccess working just fine with Kopano Core 8.4.3.4.

However, I do have it running on a separate server. I run a separate Virtual Machine that still have WebAccess and a WebApp 2.1 for my very old clients which can’t use the newer WebApp.

This other server still has the old Zarafa binaries installed and will never be updated with Kopano binaries.

@robertwbrandt said in Webaccess not working anymore after Upgrade to Kopano-Core V8.4.3:

I have WebAccess working just fine with Kopano Core 8.4.3.4.

I run it with current kopanocore master and PHP7. Had to do a few fixes but nothing big. Planning to put it on Github, but it would come with no warranty.

Bo

@bosim

I am very interesting in that, could you please inform me, if you uploaded the code ?

best regards
Michael

@michael-niehren said in Webaccess not working anymore after Upgrade to Kopano-Core V8.4.3:

I am very interesting in that, could you please inform me, if you uploaded the code ?

Here you go:
https://github.com/bosim/zarafa-webaccess

Bo

Hi Bo,

work’s like a charm now, many thanks (especially from the “old” users ;-))

best regards
Michael

@michael-niehren said in Webaccess not working anymore after Upgrade to Kopano-Core V8.4.3:

work’s like a charm now, many thanks (especially from the “old” users ;-))

Glad I could help. :)

Bo

Great, it really helps us :)

@jengelh said in Webaccess not working anymore after Upgrade to Kopano-Core V8.4.3:

Note that it already is published at https://github.com/Kopano-dev/kopano-core/tree/2a5437fbcc458b252b0fbb3cd389e873e19bb0ae/php-webclient-ajax

Not with the PHP7 fixes. Also the current MAPI classes is not compatible with Webaccess, so you need that seperately.

Bo

This is actually fantastic… I bumped into the same problem yesterday and this fixed it.

Thank you very very much!!

Log in to reply

Looks like your connection to Kopano Community Forum was lost, please wait while we try to reconnect.